<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFShapeContainer (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFShapeContainer (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapeContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapeContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFShapeContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Interface HSLFShapeContainer" class="title">Interface HSLFShapeContainer</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                 title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideMaster</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTable</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTitleMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTitleMaster</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">HSLFShapeContainer</span>
extends <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
           title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</pre>
                <div class="block">Common interface for shape containers, e.g. sheets or groups of shapes</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createAutoShape--">createAutoShape</a></span>()</code>
                                    <div class="block">create a new shape with a predefined geometry and add it to this
                                        shape container
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createConnector--">createConnector</a></span>()</code>
                                    <div class="block">create a connector</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createFreeform--">createFreeform</a></span>()</code>
                                    <div class="block">create a new shape with a custom geometry</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createGroup--">createGroup</a></span>()</code>
                                    <div class="block">create a group of shapes belonging to this container</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                    <div class="block">Create a new OLE object shape with the given pictureData as
                                        preview image
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                    <div class="block">create a picture belonging to this container</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createTextBox--">createTextBox</a></span>()</code>
                                    <div class="block">create a text box</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createAutoShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createAutoShape</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a>&nbsp;createAutoShape()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a new shape with a predefined geometry and add it to this
                                    shape container
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createFreeform--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFreeform</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a>&nbsp;createFreeform()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a new shape with a custom geometry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTextBox--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextBox</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a>&nbsp;createTextBox()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a text box</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConnector--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConnector</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a>&nbsp;createConnector()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a connector</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createGroup--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createGroup</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>&nbsp;createGroup()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a group of shapes belonging to this container</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.sl.usermodel.PictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">create a picture belonging to this container</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createOleShape-org.apache.poi.sl.usermodel.PictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createOleShape</h4>
                                <pre><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a>&nbsp;createOleShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">ShapeContainer</a></code></span>
                                </div>
                                <div class="block">Create a new OLE object shape with the given pictureData as preview
                                    image
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - the preview image</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFShapeContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFShapeContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFShapeContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
